@import 'color';

.mat-form-field-appearance-fill .mat-form-field-flex {
  background-color: transparent !important;
}

gridster {
  height: calc(85px * 11 + 15px) !important;

  .btn {
    position: absolute;
    right: 5px;
    top: 5px;
  }
}

@import "~@angular/material/prebuilt-themes/indigo-pink.css";

gridster-item {
  padding: 10px;
  .column-direction {
    flex-direction: column;
  }
}


.btn-primary {
  background-color: #ff5722 !important;
  border-color: #ff5722 !important;

  &:hover {
    background-color: darken(#ff5722, 10%) !important;
    border-color: darken(#ff5722, 10%) !important;
  }

  &:focus {
    background-color: darken(#ff5722, 10%) !important;
    border-color: darken(#ff5722, 10%) !important;
    box-shadow: 0 0 0 0.25rem lighten(#ff5722, 10%) !important;
  }

}


.mat-form-field.mat-focused {
  .mat-form-field-label {
    color: #ff5722;
  }
  .mat-form-field-ripple {
    background-color: #ff5722;
  }
}


.position-unset {
  position: unset !important;
}

.margin-submit-buttons {
  margin-right: calc(var(--bs-gutter-x) * 0.5);
  margin-left: calc(var(--bs-gutter-x) * 0.5);
}
.h-fit-content {
  height: -webkit-fill-available;
}

.logo {
  max-height: 100%;
  max-width: 100%;
  display: block;
}

.align-picture-center {
  margin: auto;
}

.align-picture-right {
  margin-left: auto;
}
html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }
